/******************************************************************************
 *
 *                Copyright (c) 2017-2019 by Löwenware Ltd
 *             Please, refer LICENSE file for legal information
 *
 ******************************************************************************/

/**
 * @file option.h
 * @author Ilja Kartašov <ik@lowenware.com>
 * @brief 
 *
 * @see https://lowenware.com/
 */

#ifndef OPTION_H_FC8ABD38_1EF9_4DD2_A94A_3C4F53E0A437
#define OPTION_H_FC8ABD38_1EF9_4DD2_A94A_3C4F53E0A437

#include <stdint.h>


#define OPTION_FLAG_HELP (1 << 16)

enum {
	OPTION_COMMAND_UNKNOWN
	, OPTION_COMMAND_COMPOSE
};


extern uint32_t g_options;
extern const char *g_format;
extern const char *g_source;
extern const char *g_target;


int
option_read_args(int argc, char **argv);

#endif /* !OPTION_H */
